# $Revision: 1.8 $, $Date: 2008/07/27 22:41:00 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Sub
%define	pnam	Override
Summary:	Sub::Override - Perl extension for easily overriding subroutines
Summary(pl.UTF-8):	Sub::Override - rozszerzenie Perla do łatwego przykrywania procedur
Name:		perl-Sub-Override
Version:	0.08
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8261e3d77145f0b154641597b7983bd6
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Exception >= 0.15
BuildRequires:	perl-Test-Simple >= 0.47
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sometimes subroutines need to be overridden. In fact, your author does
this constantly for tests. Particularly when testing, using a Mock
Object can be overkill when all you want to do is override one tiny,
little function.

Sub::Override allows the programmer to simply name the sub to replace
and to supply a sub to replace it with.

%description -l pl.UTF-8
Czasem procedura musi zostać przykryta. W praktyce autor robi to stale
dla testów. W szczególności przy testowaniu używanie obiektu Mock może
być nadmiarowe, gdy wszystko co chcemy, to przykryć jedną małą,
maleńką funkcję.

Sub::Override umożliwia programiście prosto nazwać funkcję do
zastąpienia i dostarczyć funkcję do zastąpienia jej.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Sub/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Sub-Override.spec,v $
Revision 1.8  2008/07/27 22:41:00  arekm
- release 2

Revision 1.7  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.5  2005/11/26 10:12:09  charles
- updated to 0.08

Revision 1.4  2004/12/15 00:28:55  qboosh
- fixed typo in version in last changelog entry

Revision 1.3  2004/12/12 10:41:04  adamg
- updated to 0.06

Revision 1.2  2004/12/01 23:16:15  qboosh
- pl

Revision 1.1  2004/12/01 20:53:44  radek
- new
